curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"domain": "<string>",
"plan_name": "<string>",
"hosting_type": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_name": "<string>",
"group_slug": "<string>",
"server_name": "<string>",
"website_preview": {
"page_title": "<string>",
"favicon_url": "<string>",
"thumbnail_url": "<string>",
"ssl_status": "valid",
"ssl_expires_at": "2023-11-07T05:31:56Z",
"http_status": 123,
"last_check_at": "2023-11-07T05:31:56Z"
},
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"status": "pending",
"disk_usage_mb": 2147483647,
"disk_limit_mb": 2147483647,
"billing_cycle": "free",
"price": "<string>",
"next_billing_date": "2023-11-07T05:31:56Z",
"is_active": true
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Retrieve a paginated list of web hosting accounts within the specified project.
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"domain": "<string>",
"plan_name": "<string>",
"hosting_type": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_name": "<string>",
"group_slug": "<string>",
"server_name": "<string>",
"website_preview": {
"page_title": "<string>",
"favicon_url": "<string>",
"thumbnail_url": "<string>",
"ssl_status": "valid",
"ssl_expires_at": "2023-11-07T05:31:56Z",
"http_status": 123,
"last_check_at": "2023-11-07T05:31:56Z"
},
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"status": "pending",
"disk_usage_mb": 2147483647,
"disk_limit_mb": 2147483647,
"billing_cycle": "free",
"price": "<string>",
"next_billing_date": "2023-11-07T05:31:56Z",
"is_active": true
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Organization unique identifier
Project unique identifier
A page number within the paginated result set.
Number of results to return per page.